﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Telerik.Windows.Controls;

namespace ScheduleViewWPF
{
    public class CustomTimeRulerItemTemplateSelector : TimeRulerItemTemplateSelector
    {
        public DataTemplate TimelineGroupItemTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container, ViewDefinitionBase activeViewDefinition)
        {
            if (activeViewDefinition is TimelineViewDefinition)
            {
                return this.TimelineGroupItemTemplate;
            }

            return base.SelectTemplate(item, container, activeViewDefinition);
        }
    }
}
